Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.alsb.financial.api
Class ParseAPI

    java.lang.Object
      com.bea.alsb.financial.api.ParseAPI

    public final class ParseAPI

extends Object

Facade API for parse operations.

Method Summary
`static MessageWrapper` | `parseText(String message, String messageName, boolean throwOnError)` Parses a text message and creates a wrapper containing the message data object and the encountered errors (if any and throwOnError was `false`).
`static MessageWrapper` | `parseXML(org.apache.xmlbeans.XmlObject xmlObject, String messageName, boolean throwOnError)` Parses the given XML Bean and creates a wrapper containing the message data object and the encountered errors (if any and throwOnError was `false`).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parseText

    public static MessageWrapper parseText(String message,
                                           String messageName,
                                           boolean throwOnError)
                                    throws ParseException

  Parses a text message and creates a wrapper containing the message data object and the encountered errors (if any and throwOnError was `false`).

  Parameters:
    `message` - the message text to parse.
    `messageName` - the name of the message as defined in the Financial Message Designer - case sensitive.
    `throwOnError` - `true` to throw upon encountering the first error, `false` to keep parsing and collect as many errors as possible before eventually having to abort.
  Returns:
    the wrapper containing the message and the errors.
  Throws:
    `ParseException` - for any parse errors (typically thrown when `throwOnError` is `true`).

### parseXML

    public static MessageWrapper parseXML(org.apache.xmlbeans.XmlObject xmlObject,
                                          String messageName,
                                          boolean throwOnError)
                                   throws ParseException

  Parses the given XML Bean and creates a wrapper containing the message data object and the encountered errors (if any and throwOnError was `false`).

  Parameters:
    `xmlObject` - the message XML Bean to parse.
    `messageName` - the name of the message as defined in the Financial Message Designer - case sensitive.
    `throwOnError` - `true` to throw upon encountering the first error, `false` to keep parsing and collect as many errors as possible before eventually having to abort.
  Returns:
    the wrapper containing the message and the errors.
  Throws:
    `ParseException` - for any parse errors (typically thrown when `throwOnError` is `true`).

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD